summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md6
-rw-r--r--kali.yml77
-rw-r--r--setup-kali.sh41
3 files changed, 124 insertions, 0 deletions
diff --git a/README.md b/README.md
index 0bb6d3a..ab9e851 100644
--- a/README.md
+++ b/README.md
@@ -1,2 +1,8 @@
# FreshInstall
This repo will just be a collection of notes of things I should install upon a fresh installation. I will add to this as I need to.
+
+If you just started up a new instance of Kali, to get it to a "proper working setup" that I've come to like, simply run the following command from a terminal:
+
+`curl -s https://raw.githubusercontent.com/AgroDan/FreshInstall/master/setup-kali.sh | sudo bash`
+
+This should get you on your way. \ No newline at end of file
diff --git a/kali.yml b/kali.yml
new file mode 100644
index 0000000..e950005
--- /dev/null
+++ b/kali.yml
@@ -0,0 +1,77 @@
+---
+ - hosts: localhost
+ tasks:
+ - name: Installing base packages from apt
+ package:
+ name:
+ - terminator
+ - jxplorer
+ - seclists
+ - gobuster
+ - python3-pip
+ - crackmapexec
+ - neo4j
+ - openjdk-14-jdk
+ - rlwrap
+ - eog
+ - xclip
+ - exif
+ - steghide
+ - git
+ state: latest
+
+ - name: Ensuring all packages are up to date
+ apt:
+ update_cache: yes
+ upgrade: dist
+
+ - name: Clone JumboJohn
+ git:
+ repo: 'https://github.com/magnumripper/JohnTheRipper'
+ dest: /opt/JohnTheRipper
+
+ - name: Clone Nishang
+ git:
+ repo: 'https://github.com/samratashok/nishang'
+ dest: /opt/nishang
+
+ - name: Clone Chisel
+ git:
+ repo: 'https://github.com/jpillora/chisel'
+ dest: /opt/chisel
+
+ - name: Clone LinEnum
+ git:
+ repo: 'https://github.com/rebootuser/LinEnum'
+ dest: /opt/LinEnum
+
+ - name: Clone PEASS
+ git:
+ repo: 'https://github.com/carlospolop/privilege-escalation-awesome-scripts-suite'
+ dest: /opt/privilege-escalation-awesome-scripts-suite
+
+ - name: Clone PowerSploit
+ git:
+ repo: 'https://github.com/PowerShellMafia/PowerSploit'
+ dest: /opt/PowerSploit
+
+ - name: Clone Impacket
+ git:
+ repo: 'https://github.com/SecureAuthCorp/impacket'
+ dest: /opt/impacket
+
+ - name: Clone Bloodhound
+ git:
+ repo: 'https://github.com/BloodHoundAD/BloodHound'
+ dest: /opt/BloodHound
+
+ - name: Get Evil-WinRM via gem installer
+ gem:
+ name: evil-winrm
+ state: latest
+ user_install: no
+
+ - name: Disable mouse interactivity in vim
+ command:
+ cmd: echo -e "set mouse=\nset ttymouse=\n" >> /etc/vim/vimrc
+ removes: /etc/vim/vimrc \ No newline at end of file
diff --git a/setup-kali.sh b/setup-kali.sh
new file mode 100644
index 0000000..b72ec2f
--- /dev/null
+++ b/setup-kali.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as sudo or root."
+ exit 1
+fi
+
+echo "***********************************"
+echo "* Installing pip *"
+echo "***********************************"
+
+curl -s https://bootstrap.pypa.io/get-pip.py -o get-pip.py
+python3 get-pip.py --user
+
+export PATH=$PATH:/root/.local/bin
+
+echo "***********************************"
+echo "* Installing ansible *"
+echo "***********************************"
+
+pip install ansible
+
+echo "***********************************"
+echo "* Running Kali playbook *"
+echo "***********************************"
+
+curl -s http://raw.githubusercontent.com/AgroDan/FreshInstall/master/kali.yml -o kali.yml
+
+ansible-playbook ./kali.yml
+
+echo "***********************************"
+echo "* Cleaning up *"
+echo "***********************************"
+
+rm -f ./get-pip.py ./kali.yml
+
+echo "***********************************"
+echo "* Done! *"
+echo "***********************************"
+
+echo "You should be set up. Check above for any errors." \ No newline at end of file